import { EventEmitter, ElementRef } from '@angular/core';
import { ICalendarDate } from '../calendar';
import { DateRangeDescriptor } from '../../core/dates';
/**
 *@hidden
*/
export declare class IgxDayItemComponent {
    private elementRef;
    date: ICalendarDate;
    selection: string;
    /**
     * Returns boolean indicating if the day is selected
     *
     */
    get selected(): any;
    /**
     * Selects the day
     */
    set selected(value: any);
    disabledDates: DateRangeDescriptor[];
    outOfRangeDates: DateRangeDescriptor[];
    specialDates: DateRangeDescriptor[];
    hideOutsideDays: boolean;
    isLastInRange: boolean;
    isFirstInRange: boolean;
    isWithinRange: boolean;
    onDateSelection: EventEmitter<ICalendarDate>;
    get isCurrentMonth(): boolean;
    get isPreviousMonth(): boolean;
    get isNextMonth(): boolean;
    get nativeElement(): any;
    get isSelectedCSS(): boolean;
    get isInactive(): boolean;
    get isHidden(): boolean;
    get isToday(): boolean;
    get isWeekend(): boolean;
    get isDisabled(): boolean;
    get isOutOfRange(): boolean;
    get isFocusable(): boolean;
    get isWithinRangeCSS(): boolean;
    get isSpecial(): boolean;
    get defaultCSS(): boolean;
    get isDisabledCSS(): boolean;
    get isSingleSelection(): boolean;
    get tabindex(): number;
    private _selected;
    constructor(elementRef: ElementRef);
    onSelect(): void;
}
