import { IgxCalendarBaseDirective } from './calendar-base';
import { ElementRef } from '@angular/core';
/**
 * Sets the calender view - days, months or years.
 */
export declare enum CalendarView {
    DEFAULT = 0,
    YEAR = 1,
    DECADE = 2
}
export declare class IgxMonthPickerBaseDirective extends IgxCalendarBaseDirective {
    /**
     * @hidden
     */
    yearsBtn: ElementRef;
    /**
     * The default `tabindex` attribute for the component.
     *
     * @hidden
     */
    tabindex: number;
    /**
     * Gets the current active view.
     */
    get activeView(): CalendarView;
    /**
     * Sets the current active view.
     */
    set activeView(val: CalendarView);
    /**
     * @hidden
     */
    get isDefaultView(): boolean;
    /**
     * @hidden
     */
    get isDecadeView(): boolean;
    /**
     *@hidden
     */
    private _activeView;
    /**
     * @hidden
     */
    changeYear(event: Date): void;
    /**
     * @hidden
     */
    activeViewDecade(args?: Date): void;
    /**
     * @hidden
     */
    activeViewDecadeKB(event: any, args?: Date): void;
    /**
     * Returns the locale representation of the year in the year view if enabled,
     * otherwise returns the default `Date.getFullYear()` value.
     *
     * @hidden
     */
    formattedYear(value: Date): string;
}
