import { ChangeDetectorRef, DoCheck, ElementRef, NgZone, OnInit, OnDestroy, NgModuleRef } from '@angular/core';
import { SortingDirection } from '../../data-operations/sorting-expression.interface';
import { GridBaseAPIService } from '../api.service';
import { IgxColumnComponent } from '../columns/column.component';
import { IgxFilteringService } from '../filtering/grid-filtering.service';
import { IgxGridBaseDirective } from '../grid-base.directive';
import { IgxColumnResizingService } from '../resizing/resizing.service';
import { IgxOverlayService } from '../../services/overlay/overlay';
import { GridType } from '../common/grid.interface';
/**
 * @hidden
 */
export declare class IgxGridHeaderComponent implements DoCheck, OnInit, OnDestroy {
    gridAPI: GridBaseAPIService<IgxGridBaseDirective & GridType>;
    colResizingService: IgxColumnResizingService;
    cdr: ChangeDetectorRef;
    elementRef: ElementRef;
    zone: NgZone;
    private _filteringService;
    private _moduleRef;
    private _overlayService;
    private _componentOverlayId;
    private _filterMenuPositionSettings;
    private _filterMenuOverlaySettings;
    private _destroy$;
    column: IgxColumnComponent;
    gridID: string;
    get styleClasses(): string;
    get height(): number;
    get ascending(): boolean;
    get descending(): boolean;
    get sortingIcon(): string;
    get sorted(): boolean;
    get filterIconClassName(): "igx-excel-filter__icon--filtered" | "igx-excel-filter__icon";
    hostRole: string;
    tabindex: number;
    get headerID(): string;
    protected sortDirection: SortingDirection;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseDirective & GridType>, colResizingService: IgxColumnResizingService, cdr: ChangeDetectorRef, elementRef: ElementRef, zone: NgZone, _filteringService: IgxFilteringService, _moduleRef: NgModuleRef<any>, _overlayService: IgxOverlayService);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnDestroy(): void;
    onClick(event: any): void;
    onFilteringIconClick(event: any): void;
    get grid(): any;
    protected getSortDirection(): void;
    onSortingIconClick(event: any): void;
    private triggerSort;
    private toggleFilterDropdown;
    private initFilteringSettings;
    private onOverlayOpening;
    private onOverlayClosed;
}
