import { ChangeDetectorRef, ElementRef, NgZone } from '@angular/core';
import { GridBaseAPIService } from '../api.service';
import { PlatformUtil } from '../../core/utils';
import { IgxGridBaseDirective } from '../grid';
import { IgxGridSelectionService, IgxGridCRUDService } from '../selection/selection.service';
import { HammerGesturesManager } from '../../core/touch';
import { GridType } from '../common/grid.interface';
import { IgxGridExpandableCellComponent } from '../grid/expandable-cell.component';
export declare class IgxTreeGridCellComponent extends IgxGridExpandableCellComponent {
    protected zone: NgZone;
    document: any;
    protected platformUtil: PlatformUtil;
    private treeGridAPI;
    constructor(selectionService: IgxGridSelectionService, crudService: IgxGridCRUDService, gridAPI: GridBaseAPIService<IgxGridBaseDirective & GridType>, cdr: ChangeDetectorRef, element: ElementRef, zone: NgZone, touchManager: HammerGesturesManager, document: any, platformUtil: PlatformUtil);
    /**
     * @hidden
     */
    level: number;
    /**
     * @hidden
     */
    showIndicator: boolean;
    /**
     * @hidden
     */
    isLoading: boolean;
    /**
     * @hidden
     */
    toggle(event: Event): void;
    /**
     * @hidden
     */
    onLoadingDblClick(event: Event): void;
}
